<?php
if (!defined('ABSPATH')) exit;

function chainpay_setup() {
    add_theme_support('title-tag');
    add_theme_support('post-thumbnails');
    add_theme_support('custom-logo');

    register_nav_menus([
        'primary' => __('Primary Menu', 'chainpay')
    ]);
}
add_action('after_setup_theme', 'chainpay_setup');

function chainpay_assets() {
    wp_enqueue_style('chainpay-style', get_stylesheet_uri(), [], '1.0.0');
    wp_enqueue_script('chainpay-js', get_template_directory_uri().'/assets/js/app.js', [], '1.0.0', true);
}
add_action('wp_enqueue_scripts', 'chainpay_assets');

function chainpay_widgets() {
    register_sidebar([
        'name' => 'Sidebar',
        'id' => 'sidebar-1',
    ]);
}
add_action('widgets_init', 'chainpay_widgets');

require get_template_directory() . '/inc/security.php';
require get_template_directory() . '/inc/customizer.php';
